> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Search for Tributes

GET https://api.virtuoussoftware.com/api/Tribute/Search

Reference: https://virtuous.ferndocs.com/reference/crm-plus/contacts-and-individuals/search-for-tributes

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Query parameters

- `firstName` (string, optional) — Optional. The tribute first name.
- `lastName` (string, optional) — Optional. The tribute last name.
- `city` (string, optional) — Optional. The tribute city.
- `state` (string, optional) — Optional. The tribute state abbreviation..
- `tributeType` (string, optional) — Optional. The tribute type. Options: "InHonorOf", "InMemoryOf"

## Response

### 200

OK

- `list of ApiTributeSearchGetResponsesContentApplicationJsonSchemaItems`

## Types

### ApiTributeSearchGetResponsesContentApplicationJsonSchemaItems

- `id` (string, optional)
- `tributeType` (string, optional)
- `firstName` (string, optional)
- `lastName` (string, optional)
- `address1` (string, optional)
- `address2` (string, optional)
- `city` (string, optional)
- `state` (string, optional)
- `postalCode` (string, optional)
- `defaultAcknowledgeeIndividualId` (string, optional)
- `defaultAcknowledgeeIndividualUrl` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)

## Examples

**Response**

```json
[
  {
    "id": "<integer>",
    "tributeType": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "address1": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postalCode": "<string>",
    "defaultAcknowledgeeIndividualId": "<integer>",
    "defaultAcknowledgeeIndividualUrl": "<string>",
    "createDateTimeUtc": "<dateTime>",
    "createdByUser": "<string>",
    "modifiedDateTimeUtc": "<dateTime>",
    "modifiedByUser": "<string>"
  },
  {
    "id": "<integer>",
    "tributeType": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "address1": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postalCode": "<string>",
    "defaultAcknowledgeeIndividualId": "<integer>",
    "defaultAcknowledgeeIndividualUrl": "<string>",
    "createDateTimeUtc": "<dateTime>",
    "createdByUser": "<string>",
    "modifiedDateTimeUtc": "<dateTime>",
    "modifiedByUser": "<string>"
  }
]
```

**SDK Code**

```python Contacts and Individuals_searchForTributes_example
import requests

url = "https://api.virtuoussoftware.com/api/Tribute/Search"

querystring = {"firstName":"<string>","lastName":"<string>","city":"<string>","state":"<string>","tributeType":"<string>"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Contacts and Individuals_searchForTributes_example
const url = 'https://api.virtuoussoftware.com/api/Tribute/Search?firstName=%3Cstring%3E&lastName=%3Cstring%3E&city=%3Cstring%3E&state=%3Cstring%3E&tributeType=%3Cstring%3E';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Contacts and Individuals_searchForTributes_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/Tribute/Search?firstName=%3Cstring%3E&lastName=%3Cstring%3E&city=%3Cstring%3E&state=%3Cstring%3E&tributeType=%3Cstring%3E"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Contacts and Individuals_searchForTributes_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/Tribute/Search?firstName=%3Cstring%3E&lastName=%3Cstring%3E&city=%3Cstring%3E&state=%3Cstring%3E&tributeType=%3Cstring%3E")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Contacts and Individuals_searchForTributes_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Tribute/Search?firstName=%3Cstring%3E&lastName=%3Cstring%3E&city=%3Cstring%3E&state=%3Cstring%3E&tributeType=%3Cstring%3E")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Contacts and Individuals_searchForTributes_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.virtuoussoftware.com/api/Tribute/Search?firstName=%3Cstring%3E&lastName=%3Cstring%3E&city=%3Cstring%3E&state=%3Cstring%3E&tributeType=%3Cstring%3E', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Contacts and Individuals_searchForTributes_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/Tribute/Search?firstName=%3Cstring%3E&lastName=%3Cstring%3E&city=%3Cstring%3E&state=%3Cstring%3E&tributeType=%3Cstring%3E");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Contacts and Individuals_searchForTributes_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/Tribute/Search?firstName=%3Cstring%3E&lastName=%3Cstring%3E&city=%3Cstring%3E&state=%3Cstring%3E&tributeType=%3Cstring%3E")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```